{ config, pkgs, ... }:

{
  services.blueman.enable = true;
  hardware.bluetooth.enable = true;
  hardware.bluetooth.powerOnBoot = true; # powers up the default Bluetooth controller on boot

  services.upower.enable = true;

  programs.zsh.enable = true;
  users.defaultUserShell = pkgs.zsh;

  fonts.packages = with pkgs; [
	nerd-fonts.iosevka
	nerd-fonts.iosevka-term
  ];

  programs.steam.enable = true;

  environment.systemPackages = with pkgs; [
	firefox
	spotify
	vesktop
	obsidian
	neovim
	brightnessctl
	networkmanagerapplet
	gh # Github CLI
	keepassxc

	gcc
	clang
	clang-tools
	unzip	
	stow
	distrobox
	podman
  ];
}
